@prefix ex: <http://example.org/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix ax: <http://tpl.ottr.xyz/owl/axiom/0.1/> .

ex:HasComponent[owl:Class ?item, owl:Class ?component] :: {
	ax:SubObjectSomeValuesFrom(?item, ex:hasComponent, ?component)
}.